function av1crf
    if test (count $argv) -lt 1
        echo "Usage: av1crf <input-file> [preset] [min-vmaf]"
        return 1
    end

    set input "$argv[1]"
    set preset (or $argv[2] 6)
    set min_vmaf (or $argv[3] 95)

    echo "Running ab-av1 crf-search..."
    echo "Input:     $input"
    echo "Preset:    $preset"
    echo "Min VMAF:  $min_vmaf"

    ab-av1 crf-search \
        -i "$input" \
        --preset $preset \
        --min-vmaf $min_vmaf
end
